# Using GitHub for Visual Studio

Use GitHub for Visual Studio to manage your projects and work with pull requests.

### Table of Contents

- Adding and cloning repositories
  - [Publishing an existing project to GitHub](publishing-an-existing-project-to-github.md)
  - [Creating an empty repository from Visual Studio](creating-an-empty-repository-from-visual-studio.md)
  - [Cloning a repository to Visual Studio](cloning-a-repository-to-visual-studio.md)
- Working with pull requests
  - [Viewing pull requests for a repository](viewing-the-pull-requests-for-a-repository.md)
  - [Creating a pull request](creating-a-pull-request.md)
  - [Reviewing a pull request in Visual Studio](reviewing-a-pull-request-in-visual-studio.md)
  - [Making changes to a pull request](making-changes-to-a-pull-request.md)
- [Creating gists](creating-gists.md)
- [Viewing existing code on GitHub](viewing-code-on-github.md)
  - [Viewing the selected code on GitHub](viewing-code-on-github.md#viewing-the-selected-code-on-github)
  - [Copying the URL of the selected code's location on GitHub](viewing-code-on-github.md#copying-the-url-of-the-selected-codes-location-on-github)
  - [Viewing the selected code in blame view on GitHub](viewing-code-on-github.md#viewing-the-selected-code-in-blame-view-on-github)
- [Using the GitHub toolbar](using-the-github-toolbar.md)
- Operations provided by Visual Studio
  - [Committing](https://www.visualstudio.com/en-us/docs/git/tutorial/commits)
  - [Pushing commits to the remote repository](https://www.visualstudio.com/en-us/docs/git/tutorial/pushing)
  - [Fetching and pulling](https://www.visualstudio.com/en-us/docs/git/tutorial/pulling)
  - [Working with branches](https://www.visualstudio.com/en-us/docs/git/tutorial/branches)
  - [Viewing history](https://www.visualstudio.com/en-us/docs/git/tutorial/history)
  - [Ignoring files](https://www.visualstudio.com/en-us/docs/git/tutorial/ignore-files)
- [Contact a human](https://github.com/contact)
