GitHub Extension for Visual Studio

Visual Studio 2022 now includes the functionality from this extension out of the box. We recommend [downloading Visual Studio 2022](https://visualstudio.microsoft.com/vs/github/) to get the best experience.

This GitHub Extension enhances Visual Studio 2015 and Visual Studio 2017 by making it easy to connect to and work with your repositories on [GitHub](https://github.com/) and [GitHub Enterprise](https://enterprise.github.com/). Clone existing repositories or create new ones and start collaborating!

For more information about the extension, visit [https://visualstudio.github.com/](https://visualstudio.github.com/).

For feedback and bug reports, please email [support@github.com](mailto:support@github.com).

## Features

1.  **Connect** - From the Team Explorer section, click the _Connect..._ button in the GitHub invitation section to login to the extension. The extension supports two-factor authentication (2fa) with GitHub and stores credentials in the Windows Credential store so that Git Operations within Visual Studio work with your GitHub repositories. The extension also supports logging into a GitHub Enterprise instance.
2.  **Clone** - Once connected, click on the _Clone_ button to list all repositories that you have access to on GitHub.
3.  **Create** - The create dialog lets you create a repository on GitHub.com and locally that are connected together.
4.  **Publish** - For a local-only repository, click on the Sync navigation item to get the GitHub publish control. This make it quick to publish your local work up to GitHub.
5.  **Open in Visual Studio** - once you log-in with the extension, GitHub.com will show a new button next to repositories labeled "Open in VisualStudio." Click on the button to clone the repository to Visual Studio.
6.  **Create Gist** - Create gists by using the GitHub context menu when you right-click on selected text
7.  **Open/Link to GitHub** - Easily open on GitHub or share a link to the code you're working on by using the GitHub context menu.
8.  **Pull Requests** - View your repository's Pull Requests and create new ones from the _Pull Requests_ button in the Team Explorer Home
9.  **See Pull Request diffs** - See all Pull Request changes as individual diff views and open changed files directly from the Pull Request details view
10. **Review Pull Requests** - Start a review and submit a review that comments, approves, or request changes to the Pull Request
11. **Inline Comments** - Add review comments to the Pull Request changes you're reviewing directly from the VS diff view
12. **Fork** - From Team Explorer Home, fork a repository you have already cloned.

## Requirements

Visual Studio 2015 and above
